%define _unpackaged_files_terminate_build 0

Summary:        Beep the PC speaker any number of ways
Name:           beep
Version:        1.4.12
Release:    1%{?dist}

License:        GPLv2+
URL:            https://github.com/spkr-beep/beep/


Source0:        https://github.com/spkr-beep/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz


Source1:        README
Source2:        70-pcspkr-beep.rules
Source3:        90-pcspkr-beep.rules
Source4:        pcspkr-beep.conf


BuildRequires:  gcc
BuildRequires:  glibc-kernheaders
BuildRequires:  libubsan

BuildRequires:  systemd
BuildRequires:  make


Requires(pre):  shadow-utils

Requires:       kmod

Requires: systemd-udev


%description
Beep allows the user to control the PC speaker with precision,
allowing different sounds to indicate different events. While it
can be run quite happily from the command line, its intended place
of use is within scripts, notifying the user when something
interesting occurs. Of course, it has no notion of what is
interesting, but it is really good at the notifying part.


%prep
%setup -q
sed -i 's|^\.\\" \(\.BR .*\)README.Distro\(.*\)|\1README\2|' beep.1.in && : #"


%build
if test "x%{build_cppflags}" = "x%%{build_cppflags}"; then
   BUILD_CPPFLAGS=""
else
   BUILD_CPPFLAGS="%{build_cppflags}"
fi
cat>local.mk<<EOF
CC = %{__cc}
CFLAGS = %{build_cflags}
CFLAGS += ${CFLAGS}
CPPFLAGS = ${BUILD_CPPFLAGS}
CPPFLAGS += ${CPPFLAGS}
LDFLAGS = %{build_ldflags}
LDFLAGS += ${LDFLAGS}
prefix = %{_prefix}
exec_prefix = %{_exec_prefix}
bindir = %{_bindir}
docdir = %{_pkgdocdir}
mandir = %{_mandir}
EOF
make %{?_smp_mflags}


%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}" CC=false

install -p -m 0644 "%{SOURCE1}" "%{buildroot}%{_pkgdocdir}/README"

install -d -m 0755              "%{buildroot}%{_sysconfdir}/modprobe.d/"
install -p -m 0644 "%{SOURCE4}" "%{buildroot}%{_sysconfdir}/modprobe.d/beep.conf"

install -d -m 0755              "%{buildroot}%{_udevrulesdir}/"
install -p -m 0644 "%{SOURCE2}" "%{buildroot}%{_udevrulesdir}/"
install -p -m 0644 "%{SOURCE3}" "%{buildroot}%{_udevrulesdir}/"


%pre
getent group beep >/dev/null || groupadd -r beep
exit 0


%files
%license %{_pkgdocdir}/COPYING
%doc %{_pkgdocdir}/CREDITS.md
%doc %{_pkgdocdir}/NEWS.md
%doc %{_pkgdocdir}/PERMISSIONS.md
%doc %{_pkgdocdir}/README
%doc %{_pkgdocdir}/README.md
%doc %{_pkgdocdir}/contrib/failure-beeps
%doc %{_pkgdocdir}/contrib/morse2beep.pl
%doc %{_pkgdocdir}/contrib/morse2beep.sed
%doc %{_pkgdocdir}/contrib/success-beeps
%{_bindir}/beep
%{_mandir}/man1/beep.1*
%config(noreplace) %{_sysconfdir}/modprobe.d/beep.conf
%{_udevrulesdir}/70-pcspkr-beep.rules
%{_udevrulesdir}/90-pcspkr-beep.rules


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.12-1
- initial build
